: Class InvisiblePrefs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.prefs.base
Class InvisiblePrefs

    java.lang.Object
      |
      +--grendel.prefs.base.InvisiblePrefs

public class InvisiblePrefs
extends java.lang.Object

Method Summary
`java.awt.Rectangle` | `getBounds(java.lang.String aName, int aWidth, int aHeight)`
`java.lang.String` | `getFolderPanelColumnLayout()`
`static InvisiblePrefs` | `GetMaster()`
`java.lang.String` | `getMasterPanelColumnLayout()`
`int` | `getMultiPaneFolderX(int aDefault)`
`int` | `getMultiPaneFolderY(int aDefault)`
`int` | `getMultiPaneThreadX(int aDefault)`
`int` | `getMultiPaneThreadY(int aDefault)`
`void` | `readPrefs()`
`void` | `setBounds(java.lang.String aName, java.awt.Rectangle b)`
`void` | `setFolderPanelColumnLayout(java.lang.String aFolderPanelColumnLayout)`
`void` | `setMasterPanelColumnLayout(java.lang.String aMasterPanelColumnLayout)`
`void` | `setMultiPaneSizes(int fx, int fy, int tx, int ty)`
`void` | `writePrefs()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### GetMaster

    public static InvisiblePrefs GetMaster()

### readPrefs

    public void readPrefs()

### writePrefs

    public void writePrefs()

### getFolderPanelColumnLayout

    public java.lang.String getFolderPanelColumnLayout()

### getMasterPanelColumnLayout

    public java.lang.String getMasterPanelColumnLayout()

### setFolderPanelColumnLayout

    public void setFolderPanelColumnLayout(java.lang.String aFolderPanelColumnLayout)

### setMasterPanelColumnLayout

    public void setMasterPanelColumnLayout(java.lang.String aMasterPanelColumnLayout)

### setBounds

    public void setBounds(java.lang.String aName,
                          java.awt.Rectangle b)

### getBounds

    public java.awt.Rectangle getBounds(java.lang.String aName,
                                        int aWidth,
                                        int aHeight)

### setMultiPaneSizes

    public void setMultiPaneSizes(int fx,
                                  int fy,
                                  int tx,
                                  int ty)

### getMultiPaneFolderX

    public int getMultiPaneFolderX(int aDefault)

### getMultiPaneFolderY

    public int getMultiPaneFolderY(int aDefault)

### getMultiPaneThreadX

    public int getMultiPaneThreadX(int aDefault)

### getMultiPaneThreadY

    public int getMultiPaneThreadY(int aDefault)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD